$ResourceGroupName = "TenantContent"
$StorageAccountName = "odysseyartifacts"
$SubscriptionName = "Default Provider Subscription"
#Create resoruce group
$RG = New-AzureRmResourceGroup -Name $ResourceGroupName -Location local
#Create storage account
$StorageAccount = $RG | New-AzureRmStorageAccount -Name $StorageAccountName -Type Standard_LRS
#Get storage account key
$Keys = $StorageAccount| Get-AzureRmStorageAccountKey 
#Create storage context
$ctx = New-AzureStorageContext -StorageAccountName $StorageAccount.StorageAccountName –StorageAccountKey $Keys.Key1
#Create containers
$ContainerDSC = New-AzureStorageContainer -Name "dsc" -Context $ctx -Permission Blob 
$ContainerNT = New-AzureStorageContainer -Name "nestedtemplates" -Context $ctx -Permission Blob
