$ResourceGroupName = "TenantContent"
$StorageAccountName = "odysseyartifacts"
$NestedtemplateFolderPath = "<nestedtemplates folder>"
#Get storage account
$StorageAccount =  Get-AzureRmStorageAccount -ResourceGroupName $ResourceGroupName  -AccountName $StorageAccountName
#Get storage account key
$Keys = $StorageAccount| Get-AzureRmStorageAccountKey 
#Create storage context
$ctx = New-AzureStorageContext -StorageAccountName $StorageAccountName -StorageAccountKey $Keys.Key1
# Upload templates to container.
$ContainerNT = Get-AzureStorageContainer -Name "nestedtemplates" -Context $ctx
dir $NestedtemplateFolderPath -File | Set-AzureStorageBlobContent -Container $ContainerNT.Name -Context $ctx
#Output URI
$StorageAccount.PrimaryEndpoints.Blob.AbsoluteUri
